How to clean up apt-get

Dr. Scott S. Jones drjones at xmission.com
Fri Sep 16 12:17:58 MDT 2005


I am getting similar errors. I am glad i am not the only one:

I get the following when trying to just run apt-get update && apt-get 
upgrade....


/usr/sbin/dpkg-reconfigure: libapache-mod-perl is broken or not fully 
installed
fyrenice:/home/scott# dpkg --force-depends -P libapache-mod-perl ; 
apt-get insta
ll libapache-mod-perl
(Reading database ... 132546 files and directories currently installed.)
Removing libapache-mod-perl ...
Error: libdav.so does not have a corresponding .info file.
Error: libphp4.so does not have a corresponding .info file.
Error: mod_ssl.so does not have a corresponding .info file.
The above errors might cause apache to not work properly or start
Please refer to the documentation on how to fix it or report it to
Debian Apache Mailing List <debian-apache at lists.debian.org> if in doubt
on how to proceed
dpkg: error processing libapache-mod-perl (--purge):
 subprocess pre-removal script returned error exit status 20
Error: libdav.so does not have a corresponding .info file.
Error: libphp4.so does not have a corresponding .info file.
Error: mod_ssl.so does not have a corresponding .info file.
The above errors might cause apache to not work properly or start
Please refer to the documentation on how to fix it or report it to
Debian Apache Mailing List <debian-apache at lists.debian.org> if in doubt
on how to proceed
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 20
Errors were encountered while processing:
 libapache-mod-perl
Reading Package Lists... Done
Building Dependency Tree... Done
libapache-mod-perl is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.


What can be done to correct this?

Scott



More information about the PLUG mailing list